<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Data Aset Ruangan</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Dashboard</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <a th:href="@{/dashboard}" class="btn btn-secondary btn-block">Data Tanah</a>
                                            <a th:href="@{/dashboard/gedung}" class="btn btn-primary btn-block">Data Gedung</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-9">
                                    <div class="card card-danger">
                                        <div class="card-header">
                                            <h4>Detail Data Gedung</h4>
                                            <div class="card-header-action">
                                                <a th:href="@{/dashboard/detail(gedung = ${ruangan.idGedung.id})}" class="btn btn-sm btn-danger">Kembali</a>
                                            </div>
                                        </div>
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <b>Nama Gedung : <span th:text="${ruangan.idGedung.namaGedung}"></span></b>
                                                    <br>
                                                    <b>Nama Ruangan : <span th:text="${ruangan.namaRuangan}"></span></b>
                                                </div>
                                                <br>
                                                <br>
                                                <br>
                                                <div class="table-responsive">
                                                    <table class="table table-striped">
                                                        <thead>
                                                        <tr>
                                                            <th>#</th>
                                                            <th>Aset</th>
                                                            <th>Jumlah</th>
                                                            <th>Status</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="data, row:${aset}">
                                                            <td th:text="${(row.index + 1)}"></td>
                                                            <td th:text="${data.namaAset}"></td>
                                                            <td th:text="${data.jumlah}"></td>
                                                            <td th:if="${data.kondisiAset == 'BAGUS'}"><button class="btn btn-sm btn-outline-success"  th:text="${data.kondisiAset}"></button></td>
                                                            <td th:if="${data.kondisiAset == 'LAYAK'}"><button class="btn btn-sm btn-outline-primary"  th:text="${data.kondisiAset}"></button></td>
                                                            <td th:if="${data.kondisiAset == 'RUSAK_BISA_DIPERBAIKI'}"><button class="btn btn-sm btn-outline-warning"  th:text="${data.kondisiAset}"></button></td>
                                                            <td th:if="${data.kondisiAset == 'RUSAK_TIDAK_BISA_DIPERBAIKI'}"><button class="btn btn-sm btn-outline-danger"  th:text="${data.kondisiAset}"></button></td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                                            <nav>
                                                <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                                    <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                                    <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                                    <li class="page-item"><a class="page-link" href="#">2</a></li>
                                                    <li class="page-item"><a class="page-link" href="#">3</a></li>
                                                    <li class="page-item"><a class="page-link" href="#">4</a></li>
                                                    <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                                </ul>
                                            </nav>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>